Unbind Social Account
Used for social account unbinding. On success, a success message is returned; on failure, failure information is returned.
This is a post-login API. You need to add authorization information in the header: Authorization.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Example |
|---|---|---|---|---|
| X-operating-sys-version | Caller client operating system version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Caller client device fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Caller client IP | No | String | 192.168.1.2 |
| X-agent | User-Agent information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) |
| X-L | Used for internationalization language setting | No | String | zh |
| X-client-id | Application authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
| Authorization | Authorization information | Yes | String | Bearer {id_token} |
| content-type | Content format type | Yes | String | application/json |
Request Example
json
{
"id": "001GKgGa15HGZA0aOxIa1bFktp1GKgG4"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| id | Social ID | Yes | String | System ID automatically generated by IDaaS |
Response Example
Success Example
HTTP/1.1 200 OK
Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "IDAAS.SDK.PARAM.0016",
"error_msg": "IdToken is invalid or expired"
}Response Parameters
None
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | IDAAS.SDK.PARAM.0001 | 设备信息不完整 | Device information is incomplete | Please check whether the input device information is complete |
| 400 | IDAAS.SDK.PARAM.0002 | clientId不能为空 | clientId cannot be empty | Please check whether the input clientId is empty |
| 400 | IDAAS.SDK.PARAM.0003 | 应用未注册,请先注册应用 | The app is not registered, please register the app first | Please check whether the input clientId is correct |
| 400 | IDAAS.SDK.PARAM.0015 | IdToken不能为空 | IdToken cannot be empty | Please check whether the input IdToken is empty |
| 400 | IDAAS.SDK.PARAM.0016 | IdToken无效或已过期 | IdToken is invalid or expired | Please re-acquire the IdToken and try again |
| 400 | IDAAS.SDK.PARAM.0017 | 社交ID不能为空 | Social ID cannot be empty | Please check whether the input social ID is empty |